[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFilterOption

Available filter options.

## Declaration

Source position: db.pas line 1388

`type TFilterOption = (`
`foCaseInsensitive,` |  | Filter case insensitively.
`foNoPartialCompare` |  | Do not compare values partially, always compare completely.
`);`

## Description

TFilterOption enumerates the various options available when filtering a dataset. The TFilterOptions set is used in the TDataset.FilterOptions property to indicate which of the options should be used when filtering the data.

## See also

TFilterOptions |  | Set of filter options to use.
TDataset.FilterOptions |  | Options to apply when filtering
TDataset.Filter |  | Filter to apply to the data in memory.
TDataset.Filtered |  | Is the filter active or not.